import { IsNotEmpty, IsOptional, IsUUID, ValidateIf } from 'class-validator';

export class CreateUserDto {
  @IsNotEmpty()
  username: string;

  @IsNotEmpty()
  password: string;

  @IsUUID()
  roleId: string;

  @IsNotEmpty()
  superior: boolean;

  // @ValidateIf((o) => {
  //   return !!o.superior;
  // })
  // @IsUUID()
  // superior: string;
}
